import request from '@/utils/request'

// 查询用户拼单限制列表
export function listGroupLimit(query) {
  return request({
    url: '/service/groupLimit/list',
    method: 'get',
    params: query
  })
}

// 查询用户拼单限制详细
export function getGroupLimit(id) {
  return request({
    url: '/service/groupLimit/' + id,
    method: 'get'
  })
}

// 新增用户拼单限制
export function addGroupLimit(data) {
  return request({
    url: '/service/groupLimit',
    method: 'post',
    data: data
  })
}

// 修改用户拼单限制
export function updateGroupLimit(data) {
  return request({
    url: '/service/groupLimit',
    method: 'put',
    data: data
  })
}

// 删除用户拼单限制
export function delGroupLimit(id) {
  return request({
    url: '/service/groupLimit/' + id,
    method: 'delete'
  })
}
